## pylint2 1.9.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
PYTHONPATH    =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest all

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -f reference_guide/features.rst
	-rm -f extensions.rst

html: features.rst extensions.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pylint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pylint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pylint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pylint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

extensions.rst: exts/pylint_extensions.py
extensions.rst: ../pylint/utils.py
extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.py')
extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.rst')
	rm -f extensions.rst
	PYTHONPATH=$(PYTHONPATH) ./exts/pylint_extensions.py

features.rst: exts/pylint_features.py
features.rst: ../pylint/utils.py
features.rst: $(shell find ../pylint/checkers -type f -regex '.*\.py')
	rm -f features.rst
	PYTHONPATH=$(PYTHONPATH) ./exts/pylint_features.py

gen-examples:
	chmod u+w ../examples/pylintrc
	pylint --generate-rcfile > ../examples/pylintrc

gen-man:
	chmod u+w ../man/pylint.1
	pylint --generate-man > ../man/pylint.1

all: html gen-man gen-examples

## pylint2 1.9.2

=== debian/changelog ===
pylint2 (1.9.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Nicolas Dandrimont ]
  * Split into source package pylint2, only build Python2 packages
  * Update dh_installemacsen postinst snippet

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 26 Sep 2018 15:49:26 +0200

pylint (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - scan for versions containing only numbers and dots
  * debian/copyright
    - update upstream files copyright notices

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2018 22:07:13 -0400

pylint (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/0002-Make-the-build-reproducible.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #894607
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 20:17:22 -0400

pylint (1.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * New upstream release; #891176
  * debian/source/options
    - ignore missing .eggs folder; patch by Joseph Herlant; Closes: #894224
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - re-enable tests installation, there's no reason not to; Closes: #891146
  * debian/control
    - bump Standards-Version to 4.1.3 (no changes needed)
  * debian/*.postinst
    - do not pre-compile pylint; test directory contains intentionally broken
      files, but py{3,}compile would try to build them anyway, failing to
      install the package; dh_python* doesnt provide a sane way to selectively
      disable only the test dir, so let's skip entirely the pre-build step

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Mar 2018 23:14:47 -0400

pylint (1.8.1-1) unstable; urgency=medium

  * New upstream release; Closes: #885965
  * debian/copyright
    - auto-generate updated upstream copyright notices
  * debian/patches/reproducible_build.patch
    - drop, merged upstream
  * debian/rules
    - dont fail if tests fail; Closes: #887818

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jan 2018 17:26:49 -0500

pylint (1.7.4-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #883913

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 09:18:29 -0500

pylint (1.7.4-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release; Closes: #868820, #827139
  * debian/control
    - Update versions of build-depends-indep on astroid.
    - Add pytest and pytest-runner to build-depends-indep.
    - Manually add dependencies missed by dh-python thanks to bug #834133
  * d/rules:
    - Run the tests via pytest not unittest discover (which no longer finds the
    tests), and do not ignore the exit code when doing so.

  [ Sandro Tosi ]
  * debian/control
    - add logilab-common to b-d and deps
    - bump Standards-Version to 4.1.2 (no changes needed)
    - use python3-sphinx to build doc
    - add setuptools to bin pkgs deps
  * debian/copyright
    - update upstream copyright notice
    - update single files specific copyright notices
  * pylint-gui has been removed upstream
  * debian/patches/doc_makefile_python3.patch
    - build doc extensions with python3

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Dec 2017 21:23:07 -0500

pylint (1.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright
    - extend packaging copyright years
  * debian/control
    - remove outdated XS-Python-Version field
    - add isort to b-d and depends, needed by new code
    - add mccabe to b-d and suggests, needed by new code
    - add backports.functools to b-d and depends, needed by new code
  * debian/copyright
    - extend packaging copyright years
    - generate all the updated copyright notices for upstream files

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 14:05:37 -0500

pylint (1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2016 20:43:22 +0100

pylint (1.5.5-1) unstable; urgency=medium

  * New upstream release; Closes: #806431
  * debian/control
    - switch Vcs-Browser to HTTPS
    - b-d on python-all
    - depends on astroid >= 1.4.5
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2016 20:17:44 +0100

pylint (1.5.2-1) unstable; urgency=medium

  * New upstream release; Closes: #790905
  * debian/control
    - bump versioned depends of python-astroid to 1.4.1
    - drop deps on logilab-common, it is no longer required
  * debian/copyright
    - extend packaging copyright years
    - update for new upstream code
  * Fix build with multiple supported Python versions; patch by Dmitry Shachnev;
    Closes: #802126
  * debian/rules
    - install README.rst (README was renamed)
    - adapt unittests execution to new upstream code
  * debian/pylint.emacsen-startup
    - autoload key-bindings and menu-items; patch by Aaron M. Ucko;
      Closes: #799728

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jan 2016 14:39:35 +0000

pylint (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 01:21:41 +0100

pylint (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump deps on astroid to at least version 1.3.6
  * debian/patches/*
    - dropped, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2015 18:01:36 +0100

pylint (1.4.1-2) experimental; urgency=medium

  * Provide py3k package, adapted from Ubuntu packaging; Closes: #606165
  * build doc at build time and provide a -doc package
  * debian/{patches/build_doc.patch, rules}
    - use the built code instead of the system-wide to build doc
  * debian/rules


=== debian/control ===
Source: pylint2
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), dh-python
Build-Depends-Indep: python-astroid (>= 1.5.1), python-unittest2, python-six, python-isort, python-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python-pytest-runner, python-pytest, python-logilab-common (>= 0.19.0)
Standards-Version: 4.1.4
Homepage: http://www.pylint.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git -b pylint2
Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint

Package: pylint
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six, python-isort, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-logilab-common (>= 0.19.0), python-setuptools
Recommends: python-tk
Suggests: python-mccabe
Description: Python code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint

## pylint2 1.9.4

=== debian/changelog ===
pylint2 (1.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Feb 2019 18:57:52 -0500

pylint2 (1.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track only 1.x releases
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
    - update Vcs-* fields to a proper git repo

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Dec 2018 10:35:09 -0500

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), dh-python
 Build-Depends-Indep: python-astroid (>= 1.5.1), python-unittest2, python-six, python-isort, python-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python-pytest-runner, python-pytest, python-logilab-common (>= 0.19.0)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.pylint.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git -b pylint2
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint
+Vcs-Git: https://salsa.debian.org/python-team/applications/pylint2.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint2
 
 Package: pylint
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -s -v)
PYTHON2 := $(shell pyversions -s)
PY2LIB := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
PY2SCRIPT := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_scripts")

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	set -e; \
	for python in $(PYTHON2); do \
		NO_SETUPTOOLS=1 $$python setup.py build ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-for python in $(PYTHON2) ; do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python setup.py pytest --addopts "-k 'not test_good_comprehension_checks'" ; \
	done
endif


override_dh_auto_install:
	for python in $(PYTHON2); do \
		NO_SETUPTOOLS=1 $$python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint \
			--install-layout=deb; \
	done

	# fixes shebangs
	for exec in pylint symilar epylint pyreverse ; do \
	  if head -1 debian/pylint/usr/bin/$$exec | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
		sed -i "s@^#! */usr/bin/env \+python\$$@#!/usr/bin/python@" debian/pylint/usr/bin/$$exec; \
	  fi ; \
	  chmod a+x debian/pylint/usr/bin/$$exec; \
	done

	install -m 644 elisp/pylint.el debian/pylint/usr/share/emacs/site-lisp/pylint/

override_dh_installman:
	dh_installman -ppylint  man/*.1
	rm -rf debian/*/usr/share/man/man1/pylint-gui.1*

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylint/pylint-(1.[0-9.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
